commit 27af305cf7213c57d9559f129f708fa51fe657aa (HEAD, refs/heads/master)
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 16 21:31:36 2014 -0500

    minor date change for 2.6.5 release

 ChangeLog | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff3eaf84484c3f4e53392ebea8d6658840873586
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Dec 16 21:15:29 2014 -0500

    [test suite] minor update to exclude a couple of iptables tests on ipfw/PF firewalls

 test/test-fwknop.pl | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7f1da8e62596d8c120e1484bab98e95d6f08ca04
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 15 22:34:22 2014 -0500

    bumped version to 2.6.5

 ChangeLog      | 2 +-
 VERSION        | 2 +-
 configure.ac   | 2 +-
 fwknop.spec    | 5 ++++-
 win32/config.h | 2 +-
 5 files changed, 8 insertions(+), 5 deletions(-)

commit db8b5e4e485796908f385dcd1c2f7ebb8c742578
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 15 20:57:46 2014 -0500

    [test suite] added AFL plot results: plot-2.6.5.67f969f/

 test/afl/results/plot-2.6.5.67f969f/exec_speed.png |  Bin 0 -> 20466 bytes
 test/afl/results/plot-2.6.5.67f969f/high_freq.png  |  Bin 0 -> 22305 bytes
 test/afl/results/plot-2.6.5.67f969f/index.html     |   10 +
 .../afl/results/plot-2.6.5.67f969f/index.html.orig |   10 +
 test/afl/results/plot-2.6.5.67f969f/low_freq.png   |  Bin 0 -> 11027 bytes
 test/afl/results/plot-2.6.5.67f969f/plot_data      | 7337 ++++++++++++++++++++
 6 files changed, 7357 insertions(+)

commit a4eb640f9ca26dd6cf35e64a74c53fab6f774e97
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 15 20:55:49 2014 -0500

    [test suite] add AFL results file: server-access-2.6.5.67f969f

 test/afl/results/server-access-2.6.5.67f969f | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 9dc56d6bb7b28142e0173521db5a91bd25d41a00
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 15 17:06:07 2014 -0800

    [test suite / server] rule deletion/addition tests mid-cycle

 server/fw_util_firewalld.c           | 37 ++++++++++----------------------
 server/fw_util_iptables.c            | 39 +++++++++++-----------------------
 test/test-fwknop.pl                  | 34 +++++++++++++++++++++++++-----
 test/tests/rijndael_hmac.pl          | 41 ++++++++++++++++++++++++++++++++++++
 test/tests/rijndael_hmac_cmd_exec.pl | 13 ++++++++++++
 5 files changed, 106 insertions(+), 58 deletions(-)

commit fd582487dba5e5655584f5c341a2754a5aae8d4d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Dec 15 17:03:08 2014 -0800

    [server] minor typo fix

 server/incoming_spa.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67f969f2c7ea5f8ce5f498ba99588467436351f2
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 10 17:06:45 2014 -0800

    [server] compilation bug fix for firewalld platforms in DESTINATION processing code

 server/fw_util_firewalld.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 122ecf10d787cd9ae295dc7b029bfa37440fa9b8
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Dec 7 17:00:10 2014 -0500

    minor ChangeLog update

 ChangeLog | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c7e3be6bbd5486bd31257d23c074b5e23b428f4a
Merge: 74f1146 a99bff9
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Dec 7 16:32:53 2014 -0500

    Merge branch 'master' of https://github.com/mrash/fwknop

commit 74f114603ba149f67fbc51ad2995c78bae9bdadf
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Dec 7 16:29:30 2014 -0500

    check fiu_init() and fiu_enable() return values

 client/fwknop.c  | 31 ++++++++++++++++++++++++-------
 server/fwknopd.c | 12 ++++++++++--
 2 files changed, 34 insertions(+), 9 deletions(-)

commit a99bff9b639334208ce65920d9b995a52e0da2ac
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Dec 6 19:58:33 2014 -0500

    [test suite] minor Makefile update for fko-wrapper

 test/fko-wrapper/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54625819c959afc30ed0f2b1ca2fdd75e3c6bc41
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 5 21:23:23 2014 -0500

    [test suite] get resolve tests passing (--test mode stopped resolutions)

 test/test-fwknop.pl            |  4 ++++
 test/tests/basic_operations.pl | 26 +++++++++++++-------------
 2 files changed, 17 insertions(+), 13 deletions(-)

commit 01438a9c1621e013daed765c90033707569965d7
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 5 20:57:38 2014 -0500

    [test suite] make filehandles a bit more unique

 test/test-fwknop.pl | 160 ++++++++++++++++++++++++++--------------------------
 1 file changed, 81 insertions(+), 79 deletions(-)

commit a4d6c17512acb62296e6b64a86b9a418da7a1276
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 5 20:56:47 2014 -0500

    [test suite] add DESTINATION formatting tests

 test/tests/basic_operations.pl | 155 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 155 insertions(+)

commit 28c7cfc8e5064a7756f0636da4d641845b10be5c
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Dec 5 20:52:17 2014 -0500

    added missed config file spotted by the test suite

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 76b1c6dd5029fb16143124376ec5aefd600511df
Merge: 8988fe4 d6dee35
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Thu Dec 4 20:07:05 2014 -0500

    Merge branch 'spa_destination_ip'

commit d6dee352af535d8a8486fbf6e8facf4651d5cb13 (refs/heads/spa_destination_ip)
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 3 20:57:06 2014 -0500

    minor update to get DESTINATION filtering tests passing

 ChangeLog                   | 2 +-
 server/access.c             | 8 ++++----
 server/incoming_spa.c       | 5 ++++-
 test/tests/rijndael_hmac.pl | 4 ++++
 4 files changed, 13 insertions(+), 6 deletions(-)

commit c5c263c02ff0bd1b68509b647176e381d3453ed2
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 3 20:56:47 2014 -0500

    add Grant Pannell

 CREDITS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 8988fe41b8e832ab8db6b186c1dcd9579fe80729
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 3 20:26:24 2014 -0500

    [test suite] add AFL wrappers for Rijndael decryption fuzzing

 .../helpers/fwknopd-enc-pkt-file.sh                |  5 +++
 test/afl/fuzzing-wrappers/server-enc-pkts.sh       | 43 ++++++++++++++++++++++
 test/afl/test-cases/enc-pkts/spa.enc               |  3 ++
 3 files changed, 51 insertions(+)

commit 285ec0ddcb93fedb4e6102f378cdfda27b9e1dcf
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 3 20:25:05 2014 -0500

    [server] add AFL support for fuzzing SPA Rijndael decryption routine directly with --afl-pkt-file

 Makefile.am             |  3 +++
 lib/cipher_funcs.c      |  5 ++++
 lib/fko.h               |  4 +++
 lib/fko_encryption.c    |  7 +++++-
 lib/fko_funcs.c         | 35 ++++++++++++++++++++++++++
 server/cmd_opts.h       |  5 ++++
 server/config_init.c    |  9 +++++++
 server/fwknopd.c        | 67 ++++++++++++++++++++++++++++++++++++++++++++++++-
 server/fwknopd_common.h |  3 +++
 server/replay_cache.c   |  8 +++++-
 10 files changed, 143 insertions(+), 3 deletions(-)

commit 53be8c4116debe69155968c81f14ce769ec7876d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Dec 3 20:20:56 2014 -0500

    [test suite] added afl/results/ directory to track AFL run results over time

 test/afl/results/server-conf-2.6.5.aeac6a4         | 25 ++++++++++++++++++++++
 test/afl/results/server-digest-cache-2.6.5.aeac6a4 | 25 ++++++++++++++++++++++
 test/afl/results/server-enc-pkts-2.6.5.aeac6a4     | 25 ++++++++++++++++++++++
 test/afl/results/spa-pkts-2.6.5.7a2763a            | 25 ++++++++++++++++++++++
 4 files changed, 100 insertions(+)

commit 7a9a430f24e9690284c56691b5b03e5f2b6eec18
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 30 22:17:51 2014 -0500

    [test suite] additional DESTINATION accept/filter tests

 Makefile.am                                 |  4 +++
 test/conf/hmac_spa_destination2_access.conf |  5 +++
 test/conf/hmac_spa_destination3_access.conf |  5 +++
 test/conf/hmac_spa_destination4_access.conf |  5 +++
 test/conf/hmac_spa_destination5_access.conf |  5 +++
 test/test-fwknop.pl                         |  4 +++
 test/tests/rijndael_hmac.pl                 | 56 +++++++++++++++++++++++++++--
 7 files changed, 81 insertions(+), 3 deletions(-)

commit cf84f016a38c0d630f7d3d832075111a10cbc420
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 30 21:37:42 2014 -0500

    [test suite] add complete cycle DESTINATION test

 Makefile.am                                |  1 +
 test/conf/hmac_spa_destination_access.conf |  5 +++++
 test/test-fwknop.pl                        |  2 ++
 test/tests/rijndael_hmac.pl                | 13 +++++++++++++
 4 files changed, 21 insertions(+)

commit e1694c732c302522741e9c515f1eb3e39cfefc54
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 30 21:36:46 2014 -0500

    update ChangeLog to include Grant's patch

 ChangeLog | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 42d103d100af7839a74816c9bd1d6aafdff6ea78
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 30 17:02:27 2014 -0500

    [test suite] minor test update for DESTINATION access.conf stanza

 test/tests/basic_operations.pl | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit aeac6a40639f33905bbb2ee84ed8a9e80887a768
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 29 22:20:44 2014 -0500

    [test suite] add server-digest-cache/ directory for AFL fuzzing

 test/afl/test-cases/server-digest-cache/digest.cache | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit af6087c48d8457f1fbb8cd82bc8dec482155d45f (refs/remotes/DigitalDJ/master)
Author: Grant Pannell <grant@pannell.net.au>
Date:   Sat Nov 29 15:14:31 2014 +1030

    Keep the documentation consistent

 server/access.conf  | 2 +-
 server/fwknopd.8.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d0849d6cc9d641d580a9f39811d160db5e910f98
Author: Grant Pannell <grant@pannell.net.au>
Date:   Sat Nov 29 15:10:38 2014 +1030

    Fix type on man asciidoc

 doc/fwknopd.man.asciidoc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 624872ef4889cb43f5ecb42b74d9722bd6e9a4a8
Author: Grant Pannell <grant@pannell.net.au>
Date:   Sat Nov 29 15:05:06 2014 +1030

    Add DESTINATION access.conf directive and ENABLE_DESTINATION_RULE fwknopd.conf directive

 Makefile.am                             |  1 +
 doc/fwknopd.man.asciidoc                | 18 ++++++++++
 server/access.c                         | 51 +++++++++++++++++++++--------
 server/access.conf                      | 13 ++++++++
 server/cmd_opts.h                       |  1 +
 server/config_init.c                    |  6 ++++
 server/fw_util_firewalld.c              | 58 +++++++++++++++++++++------------
 server/fw_util_firewalld.h              |  7 ++--
 server/fw_util_ipf.c                    |  6 +++-
 server/fw_util_ipf.h                    |  1 +
 server/fw_util_ipfw.c                   |  6 ++++
 server/fw_util_ipfw.h                   |  3 +-
 server/fw_util_iptables.c               | 58 +++++++++++++++++++++------------
 server/fw_util_iptables.h               |  7 ++--
 server/fw_util_pf.c                     |  6 ++++
 server/fw_util_pf.h                     |  5 +--
 server/fwknopd.8.in                     | 12 +++++++
 server/fwknopd.conf                     | 10 ++++++
 server/fwknopd_common.h                 | 13 ++++++++
 server/incoming_spa.c                   |  8 +++--
 test/conf/destination_rule_fwknopd.conf |  1 +
 test/tests/basic_operations.pl          | 16 +++++++++
 22 files changed, 242 insertions(+), 65 deletions(-)

commit 7a2763a133c8fd37e5b88a65259fd7bec4c56b2e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 28 19:18:38 2014 -0500

    [server] minor fix to add AFL_FUZZING macro

 server/fwknopd.c | 2 ++
 1 file changed, 2 insertions(+)

commit 01e294aed3f32058c28e7f489184b29f9486126b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 28 19:13:35 2014 -0500

    [test suite] use -A mode for AFL fuzzing, make sure fwknopd does not init digest cache in -A mode

 server/fwknopd.c                                        | 3 +++
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-conf.sh | 2 +-
 test/afl/fuzzing-wrappers/server-access.sh              | 2 +-
 test/afl/fuzzing-wrappers/server-conf.sh                | 6 +++---
 4 files changed, 8 insertions(+), 5 deletions(-)

commit 0556dfc0d8c64bb411f5c4ffe75baf4d9eaa1438
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Nov 26 16:40:16 2014 -0500

    [test suite] minor AFL status screen path update

 test/afl/README.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6149ec0a8cde68e9e55b7b2a5ce079a5d6b390e9
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Nov 26 16:38:53 2014 -0500

    [test suite] another minor path reorg

 test/afl/README        |   2 +-
 test/afl/README.md     | 132 +++++++++++++++++++++++++++++++++++++++++++++++++
 test/afl/doc/README.md | 132 -------------------------------------------------
 3 files changed, 133 insertions(+), 133 deletions(-)

commit 00f45add289687a8a4b5be6a1c511409e87ccf45
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Nov 26 16:35:17 2014 -0500

    update Makefile.am for latest AFL paths

 Makefile.am | 34 ++++++++++++++++++++++++++--------
 1 file changed, 26 insertions(+), 8 deletions(-)

commit a900257c865ac313ae34979e1d3faa91e9212394
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Nov 26 16:26:19 2014 -0500

    [test suite] add AFL README

 test/afl/README | 1 +
 1 file changed, 1 insertion(+)

commit 4e796fc865aa5230eeff4752cc9e6b8b4038b79d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Nov 26 16:25:53 2014 -0500

    [test suite] minor AFL path update

 test/afl/AFL_status_screen.png     | Bin 232415 -> 0 bytes
 test/afl/README                    |   1 -
 test/afl/README.md                 | 132 -------------------------------------
 test/afl/doc/AFL_status_screen.png | Bin 0 -> 232415 bytes
 test/afl/doc/README.md             | 132 +++++++++++++++++++++++++++++++++++++
 5 files changed, 132 insertions(+), 133 deletions(-)

commit 2e4ce021afe2710628521173bd9cf5d7c989ce5e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Nov 26 09:30:10 2014 -0500

    [test suite] AFL wrapper update to not require -A for fuzzing access.conf and fwknopd.conf

 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-access.sh | 2 +-
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-conf.sh   | 2 +-
 test/afl/fuzzing-wrappers/server-access.sh                | 2 +-
 test/afl/fuzzing-wrappers/server-conf.sh                  | 2 +-
 test/afl/fuzzing-wrappers/server-digest-cache.sh          | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 7938e6fbbff386572e4d060513c82308f81a6d85
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Nov 26 08:46:24 2014 -0500

    [server] manpage update

 server/fwknopd.8.in | 68 +++++++++++++++++++++++++++++++++--------------------
 1 file changed, 42 insertions(+), 26 deletions(-)

commit aa94fcb8cfa854e0cc68b279db2060fcb8bf54f0
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 25 22:08:54 2014 -0500

    [test suite] add AFL wrapper for fuzzing digest cache file format

 .../helpers/fwknopd-digest-cache.sh                | 16 +++++++++
 test/afl/fuzzing-wrappers/server-digest-cache.sh   | 41 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

commit a64542c7a44ce9740043b98692bc9a2c365a4964
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 25 22:06:56 2014 -0500

    [server] add --run-dir command line arg

 doc/fwknopd.man.asciidoc | 41 ++++++++++++++++++++++++-----------------
 server/cmd_opts.h        |  3 ++-
 server/config_init.c     |  5 ++++-
 3 files changed, 30 insertions(+), 19 deletions(-)

commit 82cf8b1c9cc9c3256bfbd97cbd3a40353851dc02
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 25 22:05:15 2014 -0500

    [server] Enforce proper bounds checking on digest cache file import
    
    Bug fix to ensure that proper bounds are enforced when importing digest
    cache files from previous fwknopd executions. This bug
    was discovered through fuzzing with American Fuzzy Lop (AFL) as driven
    by the test/afl/fuzzing-wrappers/server-digest-cache.sh wrapper.
    Previous to this fix, fwknopd could be made to crash through a malicious
    digest cache file (normally in /var/run/fwknop/digest.cache) upon
    initial import.

 ChangeLog             | 9 +++++++++
 server/replay_cache.c | 8 ++++----
 2 files changed, 13 insertions(+), 4 deletions(-)

commit 8872e50818cc3d847015b5c4344c76991752283d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 25 15:04:30 2014 -0500

    [test suite] use digest tracking override for ALF fwknopd fuzzing

 server/fwknopd.c                                          | 5 -----
 test/afl/fuzzing-wrappers/client-rc.sh                    | 4 +++-
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-access.sh | 6 +++++-
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-conf.sh   | 6 +++++-
 test/afl/fuzzing-wrappers/server-access.sh                | 8 +++++++-
 test/afl/fuzzing-wrappers/server-conf.sh                  | 7 ++++++-
 test/afl/fuzzing-wrappers/spa-pkts.sh                     | 5 ++++-
 test/conf/override_no_digest_tracking_fwknopd.conf        | 1 +
 8 files changed, 31 insertions(+), 11 deletions(-)

commit 00ffe198e865699be24ed420485818a8cd431d8d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 23 22:39:25 2014 -0500

    [test suite] support AFL resume operations

 test/afl/fuzzing-wrappers/client-rc.sh     | 11 ++++++++---
 test/afl/fuzzing-wrappers/fcns             |  3 ++-
 test/afl/fuzzing-wrappers/server-access.sh | 10 ++++++++--
 test/afl/fuzzing-wrappers/server-conf.sh   | 11 ++++++++---
 test/afl/fuzzing-wrappers/spa-pkts.sh      | 10 ++++++++--
 5 files changed, 34 insertions(+), 11 deletions(-)

commit 28abc276fe0daae16d3e3fe642ab9946fc858108
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 23 21:01:44 2014 -0500

    [test suite] AFL update spa-pkts.sh to use new shared bash functions

 test/afl/fuzzing-wrappers/spa-pkts.sh | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 39419f43cb3076c2d292c7d81af8bc114c3e92ea
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 23 16:53:29 2014 -0500

    [test suite] started on shared functions for AFL wrappers

 test/afl/fuzzing-wrappers/client-rc.sh     | 21 ++++++++++++++-------
 test/afl/fuzzing-wrappers/fcns             | 21 +++++++++++++++++++++
 test/afl/fuzzing-wrappers/server-access.sh | 23 +++++++++++++++--------
 test/afl/fuzzing-wrappers/server-conf.sh   | 21 ++++++++++++++-------
 4 files changed, 64 insertions(+), 22 deletions(-)

commit c50c13b6d3ad4dd26e1837f92bfb5668333d2fbc
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sun Nov 23 09:27:06 2014 -0500

    minor README formatting updates

 README.md | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit 426bde83c5cc243b0e3977bac401667b364c0865
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 23:06:52 2014 -0500

    [test suite] set banner for each AFL wrapper

 test/afl/fuzzing-wrappers/client-rc.sh     | 2 +-
 test/afl/fuzzing-wrappers/server-access.sh | 2 +-
 test/afl/fuzzing-wrappers/server-conf.sh   | 2 +-
 test/afl/fuzzing-wrappers/spa-pkts.sh      | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 0e93020671a202fbf922bd199cca9aa53598e61a
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 23:06:20 2014 -0500

    [test suite] minor AFL README update

 test/afl/README.md | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 290aaebd76e04bbe43e2a5177f64aa6b29ef1175
Merge: 9037b3e ec4647c
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 20:49:21 2014 -0500

    Merge branch 'master' of https://github.com/mrash/fwknop

commit 9037b3e7e097f149288b5935b0b0c5f22a7ee4fc
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 20:49:09 2014 -0500

    minor manpage update to reference github link for contirbutors

 doc/fwknop.man.asciidoc  | 2 +-
 doc/fwknopd.man.asciidoc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ec4647cdf0b8c7fa37d18324c41baa159624f17e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 16:52:15 2014 -0500

    [test suite] path bug fix

 test/afl/compile/afl-compile-code-coverage.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4a8c0ace1a1f88f8b203bc029089afb47bf0773
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 16:05:02 2014 -0500

    [test suite] more AFL README updates

 test/afl/README.md | 60 +++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 53 insertions(+), 7 deletions(-)

commit e7da008d34134de85f2d7202e20b330d9bd4448e
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 16:03:51 2014 -0500

    [test suite] more AFL README updates

 test/afl/AFL_status_screen.png | Bin 0 -> 232415 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 18760d4d64969b49174ca6e83ed6b81f2449ef4c
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 15:10:00 2014 -0500

    [test suite] AFL README add all four fuzzing wrappers

 test/afl/README.md | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit dd0571ad56c121fc0abef3c792818a7460062254
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 15:03:12 2014 -0500

    [test suite] AFL README formatting update

 test/afl/README.md | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 8d38980915aba3d4d6d8d77f2e291aaff20124ea
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 13:55:05 2014 -0500

    [test suite] AFL README formatting update

 test/afl/README.md | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f53c15fbda4a5737c087ee16692fe8291515b020
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 13:53:54 2014 -0500

    [test suite] AFL README formatting update

 test/afl/README.md | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 9dbe7f5bd6ad911b3ba8be329ce212dc4cf68dbf
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 13:52:42 2014 -0500

    [test suite] AFL README formatting update

 test/afl/README.md | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit 0b58e3af57c4dbc231aa7d0a9ca2195eb57fe5fc
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 13:43:56 2014 -0500

    [test suite] AFL README.md files list

 test/afl/README.md | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a15d76a3ea3e995a68232fe2f9b3f97c32fec0e0
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 13:40:52 2014 -0500

    [test suite] AFL README -> README.md

 test/afl/README    | 78 +-----------------------------------------------------
 test/afl/README.md | 77 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+), 77 deletions(-)

commit 38977b5f2fd8def73a29850ac07baf9d16f8366d
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 13:39:24 2014 -0500

    [test suite] use exit status in wrapper scripts

 test/afl/compile/afl-compile-code-coverage.sh                   | 2 +-
 test/afl/compile/afl-compile-no-enable-arg.sh                   | 2 +-
 test/afl/compile/afl-compile.sh                                 | 2 +-
 test/afl/compile/afl-gen-code-coverage.sh                       | 2 +-
 test/afl/fuzzing-wrappers/client-rc.sh                          | 5 +++--
 test/afl/fuzzing-wrappers/helpers/fwknop-rc-hangs.sh            | 2 +-
 test/afl/fuzzing-wrappers/helpers/fwknop-rc-test.sh             | 2 ++
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-access-hangs.sh | 2 +-
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-access.sh       | 2 ++
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-conf-hangs.sh   | 2 +-
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-conf.sh         | 2 ++
 test/afl/fuzzing-wrappers/helpers/fwknopd-stdin-hangs.sh        | 2 +-
 test/afl/fuzzing-wrappers/helpers/fwknopd-stdin-test.sh         | 2 ++
 test/afl/fuzzing-wrappers/server-access.sh                      | 4 ++--
 test/afl/fuzzing-wrappers/server-conf.sh                        | 4 ++--
 test/afl/fuzzing-wrappers/spa-pkts.sh                           | 4 ++--
 16 files changed, 25 insertions(+), 16 deletions(-)

commit ca64e3aa4e8fe831d47a81d3deb11ce9df2f0541
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 13:38:46 2014 -0500

    [test suite] start on AFL README in .md format

 test/afl/README | 66 +++++++++++++++++++++++++++++----------------------------
 1 file changed, 34 insertions(+), 32 deletions(-)

commit f8d3cc51f046128d803a0198c637a4dedf698fc6
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Sat Nov 22 09:11:39 2014 -0500

    [test suite] stronger access.conf test case for AFL fuzzing

 .../helpers/fwknopd-parse-access.sh                |  2 +-
 test/afl/fuzzing-wrappers/server-access.sh         |  2 +-
 test/afl/test-cases/server-access/access.conf      | 24 ++++++++++++----------
 3 files changed, 15 insertions(+), 13 deletions(-)

commit 0e5606fb263d89518d7ba90fcaa5d62767fc63f4
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 21 22:18:17 2014 -0500

    [test suite] AFL fuzzing README update

 test/afl/README | 59 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 37 insertions(+), 22 deletions(-)

commit 63a2ae92d4335468218d2444f0a4c22fa2b475d3
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 21 22:16:02 2014 -0500

    [test suite] added *hang.sh helper scripts for AFL results analysis

 test/afl/afl-compile-code-coverage.sh                       |  9 ---------
 test/afl/afl-compile.sh                                     |  8 --------
 test/afl/afl-gen-code-coverage.sh                           | 13 -------------
 test/afl/compile/afl-compile-code-coverage.sh               |  9 +++++++++
 test/afl/compile/afl-compile-no-enable-arg.sh               | 10 ++++++++++
 test/afl/compile/afl-compile.sh                             |  8 ++++++++
 test/afl/compile/afl-gen-code-coverage.sh                   | 13 +++++++++++++
 test/afl/fuzzing-wrappers/helpers/fwknop-rc-hangs.sh        |  7 +++++--
 .../fuzzing-wrappers/helpers/fwknopd-parse-access-hangs.sh  | 11 +++++++++++
 .../fuzzing-wrappers/helpers/fwknopd-parse-conf-hangs.sh    | 11 +++++++++++
 test/afl/fuzzing-wrappers/helpers/fwknopd-stdin-hangs.sh    | 11 +++++++++++
 11 files changed, 78 insertions(+), 32 deletions(-)

commit 46a6b5a1e59357aae504ce9424b46c88675fb5dc
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 21 21:42:32 2014 -0500

    [test suite] moved helper scripts to fuzzing-wrappers/helpers/

 test/afl/fuzzing-wrappers/client-rc.sh                    |  2 +-
 test/afl/fuzzing-wrappers/fwknop-rc-test.sh               | 10 ----------
 test/afl/fuzzing-wrappers/fwknopd-parse-access.sh         | 10 ----------
 test/afl/fuzzing-wrappers/fwknopd-parse-conf.sh           | 10 ----------
 test/afl/fuzzing-wrappers/fwknopd-stdin-test.sh           |  5 -----
 test/afl/fuzzing-wrappers/helpers/fwknop-rc-hangs.sh      |  8 ++++++++
 test/afl/fuzzing-wrappers/helpers/fwknop-rc-test.sh       | 10 ++++++++++
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-access.sh | 10 ++++++++++
 test/afl/fuzzing-wrappers/helpers/fwknopd-parse-conf.sh   | 10 ++++++++++
 test/afl/fuzzing-wrappers/helpers/fwknopd-stdin-test.sh   |  5 +++++
 test/afl/fuzzing-wrappers/server-access.sh                |  2 +-
 test/afl/fuzzing-wrappers/server-conf.sh                  |  2 +-
 test/afl/fuzzing-wrappers/spa-pkts.sh                     |  2 +-
 13 files changed, 47 insertions(+), 39 deletions(-)

commit 5041533c65569e001c219178015a9c991946fef8
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 21 21:32:05 2014 -0500

    [test suite] update AFL helper scripts to accept file path from the command line

 test/afl/fuzzing-wrappers/fwknop-rc-test.sh       | 9 ++++++++-
 test/afl/fuzzing-wrappers/fwknopd-parse-access.sh | 9 ++++++++-
 test/afl/fuzzing-wrappers/fwknopd-parse-conf.sh   | 9 ++++++++-
 3 files changed, 24 insertions(+), 3 deletions(-)

commit c1a1a4d3aaf563917c7ee3dafaac1f1b124a0b8b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Fri Nov 21 21:22:20 2014 -0500

    [test suite] minor comment removal

 test/afl/fuzzing-wrappers/fwknopd-stdin-test.sh | 1 -
 1 file changed, 1 deletion(-)

commit 9e671217e1620b9aefbc55d6147f1e3d6b6abfa0
Author: Damien Stuart <dstuart@dstuart.org>
Date:   Wed Nov 19 22:01:04 2014 -0500

    Move #include <sys/wait.h> directive so it is not seen in the windows build

 client/http_resolve_host.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 492a7e523b8b162a4a2879df809c8f23f6bff9ad
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Wed Nov 19 20:19:14 2014 -0500

    [test suite] AFL wrapper enhancements (fwknopd conf file fuzzing, use -t 1000 for all fuzzing cycles)

 test/afl/fuzzing-wrappers/client-rc.sh          |  2 +-
 test/afl/fuzzing-wrappers/fwknopd-parse-conf.sh |  3 +++
 test/afl/fuzzing-wrappers/server-access.sh      |  2 +-
 test/afl/fuzzing-wrappers/server-conf.sh        | 22 ++++++++++++++++++++++
 test/afl/fuzzing-wrappers/spa-pkts.sh           |  2 +-
 test/afl/test-cases/server-conf/fwknopd.conf    | 22 +++++++++++-----------
 6 files changed, 39 insertions(+), 14 deletions(-)

commit 31fcef08a5228c5af3060b546895503467deab70
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 18 23:10:56 2014 -0500

    [test suite] add multiple stanzas for the fwknoprc AFL test

 test/afl/fuzzing-wrappers/client-rc.sh      |  2 +-
 test/afl/fuzzing-wrappers/fwknop-rc-test.sh |  2 +-
 test/afl/test-cases/client-rc/fwknoprc      | 11 +++++++++--
 3 files changed, 11 insertions(+), 4 deletions(-)

commit ece855b66a87d98276dd8b82d15cecd6643b617b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 18 23:10:19 2014 -0500

    [client] bug fix to ensure -a overrides IP resolution

 client/config_init.c | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 22289a3f58278d13a36249efc18809da92fb4309
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 18 20:16:12 2014 -0500

    [client] disable IP resolution in AFL_FUZZING mode

 client/config_init.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit c7bb83b1b33e43c915fef970fef3e05b263d2007
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Tue Nov 18 20:15:13 2014 -0500

    [test suite] additional AFL support for client fwknoprc file and server fwknopd.conf file

 test/afl/fuzzing-wrappers/client-rc.sh       | 22 +++++++++++++
 test/afl/fuzzing-wrappers/fwknop-rc-test.sh  |  3 ++
 test/afl/fuzzing-wrappers/server-access.sh   |  2 +-
 test/afl/fuzzing-wrappers/spa-pkts.sh        |  2 +-
 test/afl/test-cases/client-rc/fwknoprc       | 40 +++++++++++++++++++++++
 test/afl/test-cases/server-conf/fwknopd.conf | 47 ++++++++++++++++++++++++++++
 6 files changed, 114 insertions(+), 2 deletions(-)

commit d107359e952bd0b959dcfa7d1001511b161dcb0f
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Nov 17 20:00:38 2014 -0500

    [test suite] removed files added by mistake

 test/afl/fuzzing-wrappers/.server-access.sh.swp | Bin 12288 -> 0 bytes
 test/afl/fuzzing-wrappers/.spa-pkts.sh.swp      | Bin 12288 -> 0 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 3c7859cb9d7c24b40ed7ca1de4a98ce119832e8b
Author: Michael Rash <mbr@cipherdyne.org>
Date:   Mon Nov 17 19:58:47 2014 -0500

    [test suite] start on AFL fuzzing for conf files in addition to SPA pkts

 test/afl/afl-fuzzing.in/spa.start                 |   1 -
 test/afl/afl-fuzzing.in/spa2.start                |   1 -
 test/afl/afl-fuzzing.in/spa3.start                |   1 -
 test/afl/afl-run.sh                               |  16 --------
 test/afl/fuzzing-wrappers/.server-access.sh.swp   | Bin 0 -> 12288 bytes
 test/afl/fuzzing-wrappers/.spa-pkts.sh.swp        | Bin 0 -> 12288 bytes
 test/afl/fuzzing-wrappers/fwknopd-parse-access.sh |   3 ++
 test/afl/fuzzing-wrappers/fwknopd-stdin-test.sh   |   6 +++
 test/afl/fuzzing-wrappers/server-access.sh        |  22 +++++++++++
 test/afl/fuzzing-wrappers/spa-pkts.sh             |  22 +++++++++++
 test/afl/fwknopd-stdin-test.sh                    |   6 ---
 test/afl/test-cases/server-access/access.conf     |  45 ++++++++++++++++++++++
 test/afl/test-cases/spa-pkts/spa.start            |   1 +
 test/afl/test-cases/spa-pkts/spa2.start           |   1 +
 test/afl/test-cases/spa-pkts/spa3.start           |   1 +
 15 files changed, 101 insertions(+), 25 deletions(-)
